%global momorel 4

Summary: WBXML parser and compiler library
Name: wbxml2
Version: 0.9.2
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://libwbxml.aymerick.com/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/wbxmllib/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-build-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: expat-devel
BuildRequires: libtool
BuildRequires: pkgconfig

%description
wbxml2 is a library that includes a WBXML parser and a WBXML compiler.
Unlike wbxml, it does not depend on libxml2 but on expat, making it
faster and more portable. WBXML Library contains a library and its
associated tools to Parse, Encode and Handle WBXML documents. The WBXML
(Wireless Binary XML) format is a binary representation of XML, and it
has been defined by the Wap Forum.

%package devel
Summary: Header files and static libraries from wbxml2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on wbxml2.

%prep
%setup -q

%patch0 -p1 -b .build-fix

libtoolize
aclocal
autoheader
automake --add-missing
autoconf

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog GNU-LGPL INSTALL NEWS README THANKS
%{_bindir}/wbxml2xml
%{_bindir}/xml2wbxml
%{_libdir}/libwbxml2.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/wbxml*.h
%{_libdir}/pkgconfig/libwbxml2.pc
%{_libdir}/libwbxml2.a
%{_libdir}/libwbxml2.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.2-3m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.2-2m)
- %%NoSource -> NoSource

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.2-1m)
- initial package for libsyncml
- Summary and %%description are imported from opensuse
